Skip to content
Start here

Delete an IdP federation grant

client.zeroTrust.access.IdPFederationGrants.delete(stringgrantId, IdPFederationGrantDeleteParams { account_id } params, RequestOptionsoptions?): IdPFederationGrantDeleteResponse { id }
DELETE/accounts/{account_id}/access/idp_federation_grants/{grant_id}

Deletes an IdP federation grant. The identity provider remains in the account, but it is no longer available for federation to other accounts.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
grantId: string

Identifier.

maxLength32
params: IdPFederationGrantDeleteParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
IdPFederationGrantDeleteResponse { id }
id?: string

UID of the deleted IdP federation grant.

maxLength32

Delete an IdP federation grant

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const IdPFederationGrant = await client.zeroTrust.access.IdPFederationGrants.delete(
  '023e105f4ecef8ad9ca31a8372d0c353',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(IdPFederationGrant.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}